Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex
Class StarMathConverter

    java.lang.Object
      writer2latex.latex.StarMathConverter

    public final class StarMathConverter

extends java.lang.Object

Field Summary
`private boolean` | `bBoldsubformula`
`private boolean` | `bDdotsup`
`private boolean` | `bDefeq`
`private boolean` | `bLambdabar`
`private boolean` | `bLlbracket`
`private boolean` | `bMathoverstrike`
`private boolean` | `bMultimapdotbothA`
`private boolean` | `bMultimapdotbothB`
`private boolean` | `bMultiscripts`
`private boolean` | `bNormalsubformula`
`private boolean` | `bOiiint`
`private boolean` | `bOiint`
`private boolean` | `bRrbracket`
`private SimpleInputBuffer` | `buffer`
`private boolean` | `bUseColor`
`private boolean` | `bWidebslash`
`private boolean` | `bWideslash`
`private java.util.Hashtable` | `configSymbols`
`private SmToken` | `curToken`
`private java.lang.Float` | `fBaseSize`
`private I18n` | `i18n`
`private SmTokenTable` | `keywords`
`private SmTokenTable` | `symbols`

Constructor Summary
`StarMathConverter(I18n i18n, Config config)`

Method Summary
`private java.lang.String` | `align(float fSize, Token eAlign, boolean bUseAlignment, boolean bNeedNull)`
`void` | `appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`private java.lang.String` | `attributes(float fSize, Token eAlign)`
`private java.lang.String` | `binom(float fSize, Token eAlign)`
`private java.lang.String` | `blank()`
`private java.lang.String` | `brace(float fSize, Token eAlign)`
`private java.lang.String` | `bracebody(float fSize, Token eAlign)`
`java.lang.String` | `convert(java.lang.String sStarMath)`
`private java.lang.String` | `escape()`
`private java.lang.String` | `expression(float fSize, Token eAlign)`
`private java.lang.String` | `function()`
`private java.lang.String` | `line(float fSize, Token eAlign)`
`private java.lang.String` | `matrix(float fSize, Token eAlign)`
`private void` | `nextToken()`
`private java.lang.String` | `oper()`
`private java.lang.String` | `operator(float fSize, Token eAlign)`
`private java.lang.String` | `opsubsup(float fSize, Token eAlign)`
`private java.lang.String` | `power(float fSize, Token eAlign, boolean bNeedGroup)`
`private java.lang.String` | `product(float fSize, Token eAlign)`
`private java.lang.String` | `relation(float fSize, Token eAlign)`
`private java.lang.String` | `scalebrace(float fSize, Token eAlign)`
`private java.lang.String` | `scalebracebody(float fSize, Token eAlign)`
`private void` | `skipComment()`
`private void` | `skipWhiteSpaces()`
`private java.lang.String` | `special()`
`private java.lang.String` | `stack(float fSize, Token eAlign)`
`private java.lang.String` | `subsup(float fSize, Token eAlign, java.lang.String sBody, TGroup eActiveGroup)`
`private java.lang.String` | `sum(float fSize, Token eAlign)`
`private java.lang.String` | `table(float fSize, Token eAlign)`
`private java.lang.String` | `term(float fSize, Token eAlign)`
`private java.lang.String` | `term(float fSize, Token eAlign, boolean bNeedGroup)`
`private boolean` | `tokenInGroup(TGroup eGroup)`
`private java.lang.String` | `tosub(java.lang.String s)`
`private java.lang.String` | `tosup(java.lang.String s)`
`private java.lang.String` | `unoper(float fSize, Token eAlign)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keywords

    private SmTokenTable keywords

### symbols

    private SmTokenTable symbols

### configSymbols

    private java.util.Hashtable configSymbols

### bUseColor

    private boolean bUseColor

### curToken

    private SmToken curToken

### buffer

    private SimpleInputBuffer buffer

### fBaseSize

    private java.lang.Float fBaseSize

### i18n

    private I18n i18n

### bDefeq

    private boolean bDefeq

### bLambdabar

    private boolean bLambdabar

### bDdotsup

    private boolean bDdotsup

### bMultimapdotbothA

    private boolean bMultimapdotbothA

### bMultimapdotbothB

    private boolean bMultimapdotbothB

### bLlbracket

    private boolean bLlbracket

### bRrbracket

    private boolean bRrbracket

### bOiint

    private boolean bOiint

### bOiiint

    private boolean bOiiint

### bWideslash

    private boolean bWideslash

### bWidebslash

    private boolean bWidebslash

### bBoldsubformula

    private boolean bBoldsubformula

### bNormalsubformula

    private boolean bNormalsubformula

### bMultiscripts

    private boolean bMultiscripts

### bMathoverstrike

    private boolean bMathoverstrike

Constructor Detail

### StarMathConverter

    StarMathConverter(I18n i18n,
                      Config config)

Method Detail

### appendDeclarations

    public void appendDeclarations(LaTeXDocumentPortion pack,
                                   LaTeXDocumentPortion decl)

### tokenInGroup

    private boolean tokenInGroup(TGroup eGroup)

### skipWhiteSpaces

    private void skipWhiteSpaces()

### skipComment

    private void skipComment()

### nextToken

    private void nextToken()

### table

    private java.lang.String table(float fSize,
                                   Token eAlign)

### align

    private java.lang.String align(float fSize,
                                   Token eAlign,
                                   boolean bUseAlignment,
                                   boolean bNeedNull)

### line

    private java.lang.String line(float fSize,
                                  Token eAlign)

### expression

    private java.lang.String expression(float fSize,
                                        Token eAlign)

### relation

    private java.lang.String relation(float fSize,
                                      Token eAlign)

### sum

    private java.lang.String sum(float fSize,
                                 Token eAlign)

### product

    private java.lang.String product(float fSize,
                                     Token eAlign)

### tosub

    private java.lang.String tosub(java.lang.String s)

### tosup

    private java.lang.String tosup(java.lang.String s)

### subsup

    private java.lang.String subsup(float fSize,
                                    Token eAlign,
                                    java.lang.String sBody,
                                    TGroup eActiveGroup)

### opsubsup

    private java.lang.String opsubsup(float fSize,
                                      Token eAlign)

### power

    private java.lang.String power(float fSize,
                                   Token eAlign,
                                   boolean bNeedGroup)

### blank

    private java.lang.String blank()

### term

    private java.lang.String term(float fSize,
                                  Token eAlign,
                                  boolean bNeedGroup)

### term

    private java.lang.String term(float fSize,
                                  Token eAlign)

### escape

    private java.lang.String escape()

### operator

    private java.lang.String operator(float fSize,
                                      Token eAlign)

### oper

    private java.lang.String oper()

### unoper

    private java.lang.String unoper(float fSize,
                                    Token eAlign)

### attributes

    private java.lang.String attributes(float fSize,
                                        Token eAlign)

### scalebrace

    private java.lang.String scalebrace(float fSize,
                                        Token eAlign)

### brace

    private java.lang.String brace(float fSize,
                                   Token eAlign)

### scalebracebody

    private java.lang.String scalebracebody(float fSize,
                                            Token eAlign)

### bracebody

    private java.lang.String bracebody(float fSize,
                                       Token eAlign)

### function

    private java.lang.String function()

### binom

    private java.lang.String binom(float fSize,
                                   Token eAlign)

### stack

    private java.lang.String stack(float fSize,
                                   Token eAlign)

### matrix

    private java.lang.String matrix(float fSize,
                                    Token eAlign)

### special

    private java.lang.String special()

### convert

    public java.lang.String convert(java.lang.String sStarMath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD